@charset "UTF-8";
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    user-select: none;
    outline: none;
    font-family: 'HarmonyOS_Regular';
    border: none;
    transition: all 0.5s;
}
html,body {
    width: 100%;
    height: 100%;
}
::-webkit-scrollbar {
    width: 0;
}
body {
    background: linear-gradient(to right, rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3)), 
    /* url(https://imgapi.xl0408.top/index.php) */
    url(https://t.mwm.moe/fj)
    ;
    /* background-image: url(http://p9.qhimg.com/bdr/__85/t017562bf779fdcf95b.jpg) ; */
    background-size: cover;
    display: flex;
    justify-content: center;
    align-items: center;
}
/* 加载动画 */
.loading {
    position: fixed;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #fff;
    z-index: +99999;
    transition: all 0.5s;
}
.layout {
    border-radius: 5px;
    width: 800px;
    height: 600px;
    background-color: #ffffff76;
    backdrop-filter: blur(30px) brightness(115%);
    text-align: center;
    padding-top: 50px;
    animation: layout 0.4s forwards;
    transform: scaleY(0.6);
    display: none;
}
@keyframes layout {
    100% {
        transform: scaleY(1);
    }
}
#protocol {
    width: 500px;
    height: 35px;
    border-radius: 3px;
    border: 1px solid #2f2f2fa6;
    position: relative;
    background-color: #ffffff97;
}
.protocol {
    position: absolute;
    top: 0;
    left: 0;
    z-index: +1;
}
.box {
    display: inline-block;
    position: relative;
    margin: 10px;
}
#path {
    width: 500px;
    height: 35px;
    border-radius: 3px;
    /* border: 1px solid #2f2f2fa6; */
    border: none;
    outline: 1px solid #5c5c5c;
    background-color: #ffffff97;
    padding-left: 10px;
}
.path {
    position: absolute;
    top: 5px;
    left: 20px;
    font-size: 16px;
    transition: all 0.5s; 
}
.box input:focus {
    outline: 1px solid #d33b3b;
}
.box input:valid ~ span,
.box input:focus ~ span {
    transform: translate(-20px, -30px);
    color: #1059FE;
    font-size: 14px;
}
.btn {
    width: 100px;
    height: 30px;
    background-color: #05cae4;
    border: none;
    border-radius: 3px;
    margin: 20px;
    transition: all 0.3s;
}
.btn:hover {
    transform: translateY(-3px);
    cursor: pointer;    
}
.content {
    padding: 20px 150px;
}
.content p {
    color: #3c3c3c;
    margin: 5px 0;
    text-align: left;
}
.footer {
    display: grid;
    grid-template-columns: repeat(5, 140px);
    justify-content: space-evenly;
    align-items: center;
    padding-top: 20px;
}
.footer a {
    height: 50px;
    margin-bottom: 20px;
    background-color: #ffffff97;
    border-radius: 3px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    transition: all 0.5s;
}
.footer a img {
    width: 115px;
    margin-left: 10px;
}
.footer a:hover {
    cursor: pointer;    
    transform: translateY(-3px);
    border: 1px solid #00c3ff;
}

.popup {
    position: fixed;
    top: 0px;
    left: 50%;
    transform: translate(-50%);
    height: 30px;
    background-color: #fff;
    padding: 0 10px;
    border-radius: 8px;
    /* display: none; */
    /* transition: all 0.5s; */
    opacity: 0;
    animation: runpopup 2.3s forwards;
}

@keyframes runpopup {
    /* 1% {
        opacity: 0;
    } */
    10% {
        opacity: 1;
        transform: translate(-50%);
        top: 20px;
    }
    11% {
        transform: translate(-53%);
    }
    13% {
        transform: translate(-47%);
    }
    15% {
        transform: translate(-53%);
    }
    17% {
        transform: translate(-47%);
    }
    19% {
        transform: translate(-50%);
    }
    80% {
        opacity: 1;
        top: 20px;
    }
    100% {
        top: 0px;
        opacity: 0;
        display: none;
    }
}
.popup svg {
    vertical-align: middle;
}
.popup span {
    color: #f25c5c;
    font-size: 12px;
    line-height: 30px;
}
.run {
    background-color: #fff;
}
@media screen and (max-width: 800px) {
    .footer {
        grid-template-columns: repeat(3, 140px);
    }
    .content {
        padding: 20px 70px;
    }
    #protocol {
        width: 400px;
    }
    #path {
        width: 400px;
    }
    .layout {
        width: 100%;
        height: 100%;
        border-radius: 0;
    }
    .footer a:last-child {
        display: none;
    }
}
@media screen and (max-width: 450px) {
    #protocol {
        width: 300px;
    }
    #path {
        width: 300px;
    }
    .content {
        padding: 0 70px;
    }
    .footer {
        grid-template-columns: repeat(2, 140px);
    }
    .footer a:nth-child(n+5){
        display: none;
    }
    @media screen and (max-height: 650px) {
        .footer a:nth-child(-n+2){
            display: none;
        }
    }
    @media screen and (min-height: 800px) {
        .footer a:nth-child(-n+8){
            display: block;
        }
    }
}